/***
 * GASP: a gaming services platform for mobile multiplayer games.
 * Copyright (C) 2004 CNAM/INT
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Contact: gasp-team@objectweb.org
 *
 * Author: Romain Pellerin
 */
package org.mega.gasp.platform.servlets;

import org.apache.log4j.Category;
import org.mega.gasp.platform.impl.PlatformImpl;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.PrintWriter;


import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * This servlet is call the first time the user log in with the Application.
 * The HTTP parameters are :
 * - uid the UserID of the operator
 * - appID the ApplicationID hard coded in the application.
 * - username the choosed username
 * - password the choosed password
 * 
 * @author PELLERIN Romain (pellerin@cnam.fr) - MEGA Project 
 */
public class FlashConnector extends HttpServlet {

    private PlatformImpl platform;
    private Category cat;

    public void init(){
        ServletContext app = getServletContext();
        //platform = PlatformImpl.getPlatform(app.getInitParameter("gasp.home"));
        platform = PlatformImpl.getPlatform(app.getInitParameter("gasp.home"));
        cat = Category.getInstance("FirstLoginServlet");
    }
    
	public void doGet(HttpServletRequest request,HttpServletResponse response) throws IOException, ServletException {
		String code = (String) request.getParameter("code");
		cat.debug("code received: " + code);
		response.setContentType("text/plain");
		PrintWriter out = new PrintWriter(response.getOutputStream());
		out.println("code=1|259|258|bob\n");
		out.println("bla=1|259|258|bob\n");
		out.close();
	}
	
	
	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {

		String code = (String) request.getParameter("code");
		cat.debug("code received: " + code);
		response.setContentType("application/x-www-urlform-encoded; charset=UTF-8");
		PrintWriter out = new PrintWriter(response.getOutputStream());
		out.println("code=1|259|258|bob\n");
		out.close();
		
		
		//DataOutputStream dos = null;
		//try{
		//String code = (String) request.getParameter("code");
		//cat.debug("code received: " + code);
		//response.setContentType("application/x-www-urlform-encoded");
		//PrintWriter out = new PrintWriter(response.getOutputStream());
		//out.println("&code=1|259|258|bob");
		//out.close();
		// }
		// catch (Exception e){
		//    cat.info("cannot complied to received first login request");
		// }
		// finally{
		//     if (dos!=null) try{dos.close();} catch (Exception e){}
		// }
	}
}
